require_relative 'lib/greeter'

class Shalom < Thor
  desc 'greet_in', 'Translates the word hello to the language of your choice, returns the string.'
  option :language, type: :string, aliases: 'l', default: 'english', banner: 'Specifies language, default is English.'
  option :vlad, type: :boolean, aliases: 'v', banner: 'Greets Vlad specifically.'
  option :say, type: :boolean, aliases: 's', banner: 'Prints the message to standard IO as well as returning the greeting string'
  def greet_in
    Greeter.new.greet_in options[:language], options[:vlad], options[:say]
  end
end

Shalom.start